<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Bootstrap Layout</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <style>
    html,
    body {
      width: 100%;
      height: 100%;
    }

    .container {
      border: 5px solid dodgerblue;
    }

    .container>row {
      border: 3px solid green;
    }

    .container>.row>div {
      border: 2px solid black;
    }
  </style>
</head>

<body>
  <div class="container h-100 d-flex flex-column">
    <div class="row justify-content-around">
      <div class="col-2">CELL</div>
      <div class="col-2">CELL</div>
    </div>
    <div class="row justify-content-between">
      <div class="col-4">CELL</div>
      <div class="col-4">CELL</div>
    </div>
    <div class="row justify-content-center">
      <div class="col-4">CELL</div>
    </div>
    <div class="row justify-content-end">
      <div class="col-4">CELL</div>
    </div>
    <div class="row justify-content-end flex-grow-1">
      <div class="col-4">CELL</div>
    </div>
  </div>
</body>

</html>